package ap

import (
	"net/url"
	"time"
)

type CreateAction struct {
	ID        url.URL        `json:"id"`        // URL to this resource
	Actor     url.URL        `json:"actor"`     // Account that created this action, links to the AP url
	Type      string         `json:"type"`      // Should always be "Create"
	Published time.Time      `json:"published"` // When this action was created
	Object    map[string]any `json:"object"`    // Content of the action, is an AP object, like notes or questions (survey)
	To        []url.URL      `json:"to"`        // Array of url targets to deliver it to?
	Cc        []url.URL      `json:"cc"`        // More targets to deliver to?
}
